商品画像検索
curl -X POST -H "Content-Type: application/x-www-form-urlencoded" -d 'access_token=xxxxxxxxx&refresh_token=xxxxxxxxx&fields=xxxxxxxx,xxxxxxx&goods_image_creator_name-like=xxxxx&offset=0&limit=2' https://api.next-engine.org/api_v1_master_goodsimage/search// POST /api_v1_master_goodsimage/search - 商品画像検索const params = new URLSearchParams({ access_token: '<access_token>', fields: 'goods_image_id,goods_image_goods_id', offset: '0', limit: '50',})const res = await fetch('https://api.next-engine.org/api_v1_master_goodsimage/search', { method: 'POST', headers: { 'content-type': 'application/x-www-form-urlencoded' }, body: params,})const json = await res.json()if (json.result !== 'success') throw new Error(json.message ?? json.code)console.log(json.data)# POST /api_v1_master_goodsimage/search - 商品画像検索import requests
params = { 'access_token': '<access_token>', 'fields': 'goods_image_id,goods_image_goods_id', 'offset': '0', 'limit': '50',}res = requests.post( 'https://api.next-engine.org/api_v1_master_goodsimage/search', data=params,)json = res.json()if json['result'] != 'success': raise RuntimeError(json.get('message') or json.get('code'))print(json.get('data'))Request Bodyrequired
Section titled “Request Bodyrequired”object
Access_token取得により取得した値
Access_token取得により取得した値 / 【指定してaccess_tokenの有効期限が切れた場合】 正常に出力パラメータが設定されaccess_tokenとrefresh_tokenが新しい値に更新されます 【省略してaccess_tokenの有効期限が切れた場合】 出力パラメータ「result」の値がredirectになります(成功時以外の出力パラメータ参照)
1:メイン機能過負荷でも可能な限りエラーにせず実行1以外:メイン機能過負荷の場合、003002のエラーを返却 / 詳細はパラメータ共通事項「待機フラグについて」を参照して下さい / 省略時: 1以外とする
検索結果で取得するフィールドをカンマ区切りで指定(SELECT句相当) / 例:商品マスタ検索で「goods_id, goods_name, stock_quantity, supplier_name」を指定した場合、「商品コード、商品名、在庫数、仕入先名」を検索結果として取得します / 指定できる項目名: goods_image_id, goods_image_goods_id, goods_image_file_name, goods_image_url_http, goods_image_url_https, goods_image_size, goods_image_width, goods_image_height, goods_image_alt, goods_image_convert_flg, goods_image_display_order, goods_image_status, goods_image_deleted_flag, goods_image_creation_date, goods_image_last_modified_date, goods_image_last_modified_null_safe_date, goods_image_creator_id, goods_image_creator_name, goods_image_last_modified_by_id, goods_image_last_modified_by_null_safe_id, goods_image_last_modified_by_name, goods_image_last_modified_by_null_safe_name, goods_image_tag_id, goods_image_tag_goods_image_id, goods_image_tag_image_tag_id, goods_image_tag_deleted_flag, goods_image_tag_creation_date, goods_image_tag_last_modified_date, goods_image_tag_last_modified_null_safe_date, goods_image_tag_creator_id, goods_image_tag_creator_name, goods_image_tag_last_modified_by_id, goods_image_tag_last_modified_by_null_safe_id, goods_image_tag_last_modified_by_name, goods_image_tag_last_modified_by_null_safe_name, image_tag_id, image_tag_mall_id, image_tag_mall_sub_id, image_tag_text, image_tag_auto_register_no, image_tag_display_order, image_tag_deleted_flag, image_tag_creation_date, image_tag_last_modified_date, image_tag_last_modified_null_safe_date, image_tag_creator_id, image_tag_creator_name, image_tag_last_modified_by_id, image_tag_last_modified_by_null_safe_id, image_tag_last_modified_by_name, image_tag_last_modified_by_null_safe_name
オフセットの数値(OFFSET句相当) / 0:一番最初の検索結果から取得、1:2番めの検索結果から取得・・・ / 省略時: 0
取得数の数値(LIMIT句相当) / 省略時: 10000
キーは「フィールド名-比較演算子」(WHERE句のカラムと比較演算子相当) / 検索条件の値(WHERE句の値相当) / 例:商品マスタ検索でパラメータ:goods_id-like、値:“%-red”と指定した場合、商品コードが*-redの商品マスタを検索します
Responses
Section titled “Responses”実行結果 (result が success / error / redirect のいずれか)
object
success / success以外の場合の出力パラメータは成功時以外の出力パラメータ参照
入力パラメータで指定したaccess_token/新たに発行されたaccess_token / 有効なrefresh_tokenを指定してaccess_tokenの有効期限がきれた場合、新たに発行(この時点から1日有効)されたaccess_tokenになります
Access_tokenの有効期限切れ日時
入力パラメータで指定したrefresh_token/新たに発行されたrefresh_token / access_tokenが新しく発行された場合、新たに発行(この時点から3日有効)されたrefresh_tokenになります
Refresh_tokenの有効期限切れ日時
検索結果の件数
検索結果の連想配列(JSONのオブジェクト型)
object
商品画像ID / 数値型
商品コード / 文字列型
ファイル名 / 文字列型
画像URL(HTTP) / 文字列型
画像URL(HTTPS) / 文字列型
サイズ / 数値型 / 単位はバイト。500KB(1024計算)以下
幅 / 数値型 / 単位:ピクセル。2100px以下
高さ / 数値型 / 単位:ピクセル。2100px以下
画像説明 / 文字列型 / HTMLのimg要素のalt属性
自動変換フラグ / 数値型 / 自動作成したJPEG画像がある場合、1。このフラグが1の場合、URLはjpg以外が設定されており、拡張子をjpgにしてアクセスすることでjpgファイルにもアクセス出来ます
並び順 / 文字列型
ファイル状態 / 数値型 / 0:未ダウンロード 1:ダウンロード中 2:ダウンロード済み 3:アップロード済み 4:アップロード中 9:削除済み ※ファイル選択でアップロードされた場合は、1になります
削除フラグ / 文字列型
作成日 / 日時型
最終更新日 / 日時型
最終更新日 / 日時型 / NULLの場合作成日
作成担当者ID / 数値型
作成担当者名 / 文字列型
最終更新者ID / 数値型
最終更新者ID / 数値型 / NULLの場合作成者ID
最終更新者名 / 文字列型
最終更新者名 / 文字列型 / NULLの場合作成者名
商品画像分類タグID / 数値型
商品画像ID / 数値型
画像分類タグID / 文字列型
削除フラグ / 文字列型
作成日 / 日時型
最終更新日 / 日時型
最終更新日 / 日時型 / NULLの場合作成日
作成担当者ID / 数値型
作成担当者名 / 文字列型
最終更新者ID / 数値型
最終更新者ID / 数値型 / NULLの場合作成者ID
最終更新者名 / 文字列型
最終更新者名 / 文字列型 / NULLの場合作成者名
画像分類タグID / 数値型
モール/カートID / 数値型
モール/カートID(サブ) / 数値型
画像分類タグ / 文字列型 / Ex:汎用-画像1,汎用-画像2,・・・
自動登録用タグ番号 / 数値型 / 通常は並び順と同じ。モール/カートID(サブ)がある場合のみ異なる値が設定される。汎用-画像1,2,BASE-画像1,2の場合BASE-画像1の並び順は1で自動登録用タグ番号は3。
並び順 / 数値型
削除フラグ / 文字列型
作成日 / 日時型
最終更新日 / 日時型
最終更新日 / 日時型 / NULLの場合作成日
作成担当者ID / 数値型
作成担当者名 / 文字列型
最終更新者ID / 数値型
最終更新者ID / 数値型 / NULLの場合作成者ID
最終更新者名 / 文字列型
最終更新者名 / 文字列型 / NULLの場合作成者名
Example
{ "result": "success", "count": "2", "data": [ { "goods_image_id": "1", "goods_image_goods_id": "T101", "goods_image_file_name": "2af4aec82a6f7f67fa09b2ae5e84c87e_201701181.jpg", "goods_image_url_http": "xxxxx", "goods_image_url_https": "xxxxx", "goods_image_size": "219519", "goods_image_width": "2048", "goods_image_height": "1152", "goods_image_alt": "", "goods_image_convert_flg": "0", "goods_image_display_order": "1", "goods_image_status": "3", "goods_image_deleted_flag": "0", "goods_image_creation_date": "2017-01-18 15:44:50", "goods_image_last_modified_date": "2017-01-18 16:01:50", "goods_image_last_modified_null_safe_date": "2017-01-18 16:01:50", "goods_image_creator_id": "10004", "goods_image_creator_name": "xxxxx", "goods_image_last_modified_by_id": "10004", "goods_image_last_modified_by_null_safe_id": "10004", "goods_image_last_modified_by_name": "xxxxx", "goods_image_last_modified_by_null_safe_name": "xxxxx", "goods_image_tag_id": "1", "goods_image_tag_goods_image_id": "1", "goods_image_tag_image_tag_id": "1", "goods_image_tag_deleted_flag": "0", "goods_image_tag_creation_date": "2017-01-18 15:44:50", "goods_image_tag_last_modified_date": "2017-01-18 15:44:50", "goods_image_tag_last_modified_null_safe_date": "2017-01-18 15:44:50", "goods_image_tag_creator_id": "0", "goods_image_tag_creator_name": "System", "goods_image_tag_last_modified_by_id": "0", "goods_image_tag_last_modified_by_null_safe_id": "0", "goods_image_tag_last_modified_by_name": "System", "goods_image_tag_last_modified_by_null_safe_name": "System", "image_tag_id": "1", "image_tag_mall_id": "0", "image_tag_mall_sub_id": "0", "image_tag_text": "基本-画像1", "image_tag_auto_register_no": "1", "image_tag_display_order": "1", "image_tag_deleted_flag": "0", "image_tag_creation_date": "2014-10-17 17:08:45", "image_tag_last_modified_date": "2014-10-17 17:08:45", "image_tag_last_modified_null_safe_date": "2014-10-17 17:08:45", "image_tag_creator_id": "0", "image_tag_creator_name": "System", "image_tag_last_modified_by_id": "0", "image_tag_last_modified_by_null_safe_id": "0", "image_tag_last_modified_by_name": "System", "image_tag_last_modified_by_null_safe_name": "System" }, { "goods_image_id": "2", "goods_image_goods_id": "T101", "goods_image_file_name": "e4213e243da9497baffb3e0db8a3f167_201702102.jpg", "goods_image_url_http": "xxxxx", "goods_image_url_https": "xxxxx", "goods_image_size": "130186", "goods_image_width": "800", "goods_image_height": "489", "goods_image_alt": "", "goods_image_convert_flg": "0", "goods_image_display_order": "2", "goods_image_status": "3", "goods_image_deleted_flag": "0", "goods_image_creation_date": "2017-02-10 16:08:41", "goods_image_last_modified_date": "2017-02-10 16:28:11", "goods_image_last_modified_null_safe_date": "2017-02-10 16:28:11", "goods_image_creator_id": "10002", "goods_image_creator_name": "xxxxx", "goods_image_last_modified_by_id": "10002", "goods_image_last_modified_by_null_safe_id": "10002", "goods_image_last_modified_by_name": "xxxxx", "goods_image_last_modified_by_null_safe_name": "xxxxx", "goods_image_tag_id": "2", "goods_image_tag_goods_image_id": "2", "goods_image_tag_image_tag_id": "2", "goods_image_tag_deleted_flag": "0", "goods_image_tag_creation_date": "2017-02-10 16:08:41", "goods_image_tag_last_modified_date": "2017-02-10 16:08:41", "goods_image_tag_last_modified_null_safe_date": "2017-02-10 16:08:41", "goods_image_tag_creator_id": "10002", "goods_image_tag_creator_name": "xxxxx", "goods_image_tag_last_modified_by_id": "10002", "goods_image_tag_last_modified_by_null_safe_id": "10002", "goods_image_tag_last_modified_by_name": "xxxxx", "goods_image_tag_last_modified_by_null_safe_name": "xxxxx", "image_tag_id": "2", "image_tag_mall_id": "0", "image_tag_mall_sub_id": "0", "image_tag_text": "基本-画像2", "image_tag_auto_register_no": "2", "image_tag_display_order": "2", "image_tag_deleted_flag": "0", "image_tag_creation_date": "2014-10-17 17:08:45", "image_tag_last_modified_date": "2014-10-17 17:08:45", "image_tag_last_modified_null_safe_date": "2014-10-17 17:08:45", "image_tag_creator_id": "0", "image_tag_creator_name": "System", "image_tag_last_modified_by_id": "0", "image_tag_last_modified_by_null_safe_id": "0", "image_tag_last_modified_by_name": "System", "image_tag_last_modified_by_null_safe_name": "System" } ], "access_token": "xxxxx", "access_token_end_date": "2017-04-18 11:19:26", "refresh_token": "xxxxx", "refresh_token_end_date": "2017-04-20 11:19:26"}クライアントエラー (HTTP ステータス自体は 200 + result=error で返ることが多い)
失敗時の応答。パラメータ共通事項の「成功時以外の出力パラメータ」を参照
object
Error(code にエラー原因のメッセージコード、message にエラーメッセージ)または redirect(再ログインのため uid・state 取得にリダイレクトする)
エラーコード
object
Example generated
{ "result": "example", "code": "example", "message": [ {} ]}